EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'RepositoryMonitors_GetRepositoryMonitor',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataSet',
    /* DataTableNames_Csv      */ 'RepositoryMonitors_Extended,RepositoryMonitorStates',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets a repository monitor.'
GO

IF OBJECT_ID('[RepositoryMonitors_GetRepositoryMonitor]') IS NOT NULL DROP PROCEDURE [RepositoryMonitors_GetRepositoryMonitor]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [RepositoryMonitors_GetRepositoryMonitor]
(
    @RepositoryMonitor_Id INT
)
AS
BEGIN

    SET NOCOUNT ON

    SELECT * 
      FROM [RepositoryMonitors_Extended]
	 WHERE [RepositoryMonitor_Id] = @RepositoryMonitor_Id

	SELECT *
	  FROM [RepositoryMonitorStates]
	 WHERE [RepositoryMonitor_Id] = @RepositoryMonitor_Id

END
GO

GRANT EXECUTE ON [RepositoryMonitors_GetRepositoryMonitor] TO [BuildMasterUser_Role]