--AH:ScriptId=eb444da1-3a8e-4831-b321-883ebd3a08e0;602
ALTER TABLE [Configuration]
  ADD [Description_Text] VARCHAR(MAX)

GO

UPDATE [Configuration]
   SET [Description_Text] = 'This value is periodically decremented by the BuildMaster service. When it reaches zero, the service updates all of the agents'' statuses.'
 WHERE [Scope_Name] = 'CoreEx' AND [Key_Name] = 'AgentStatusUpdateCountdown'

UPDATE [Configuration]
   SET [Description_Text] = 'The root directory on the BuildMaster server where artifacts are created and stored.'
 WHERE [Scope_Name] = 'CoreEx' AND [Key_Name] = 'ArtifactsBasePath'

UPDATE [Configuration]
   SET [Description_Text] = 'The base URL for BuildMaster (ex: http://buildmaster:81). This is used primarily by the service and notifiers since they have no knowledge of the web application.'
 WHERE [Scope_Name] = 'CoreEx' AND [Key_Name] = 'BuildMaster_BaseUrl'

UPDATE [Configuration]
   SET [Description_Text] = 'Indicates whether the the web application will display a notice to admin users that an update is available for BuildMaster. This value may be set to true or false.'
 WHERE [Scope_Name] = 'CoreEx' AND [Key_Name] = 'BuildMasterUpdateCheck_ShowReminder'
 
UPDATE [Configuration]
   SET [Description_Text] = 'The ID of the directory provider BuildMaster is currently using. Currently, 1=built-in and 2=LDAP.'
 WHERE [Scope_Name] = 'CoreEx' AND [Key_Name] = 'DirectoryProvider'

UPDATE [Configuration]
   SET [Description_Text] = 'The "from" address that BuildMaster will use for sending emails.'
 WHERE [Scope_Name] = 'CoreEx' AND [Key_Name] = 'EmailFromAddress'

UPDATE [Configuration]
   SET [Description_Text] = 'The path on the BuildMaster server that the web and service load extensions from.'
 WHERE [Scope_Name] = 'CoreEx' AND [Key_Name] = 'ExtensionsPath'

UPDATE [Configuration]
   SET [Description_Text] = 'The next time when an admin user will be reminded of an extension update. This value may be set to AsSoonAsAvailable, NextMinorVersion, or NextMajorVersion.'
 WHERE [Scope_Name] = 'CoreEx' AND [Key_Name] = 'ExtensionUpdateCheck_Next'

UPDATE [Configuration]
   SET [Description_Text] = 'Indicates whether to display a notice in the web application to admin users to update extensions. This value may be set to true or false.'
 WHERE [Scope_Name] = 'CoreEx' AND [Key_Name] = 'ExtensionUpdateCheck_ShowReminder'

UPDATE [Configuration]
   SET [Description_Text] = 'The base URL for online integration with BuildMaster.'
 WHERE [Scope_Name] = 'CoreEx' AND [Key_Name] = 'IntegrationUrl'

UPDATE [Configuration]
   SET [Description_Text] = 'Indicates whether the SMTP client should use SSL to encrypt the email server connection. This value may be set to true or false.'
 WHERE [Scope_Name] = 'CoreEx' AND [Key_Name] = 'MailServerEnableSSL'

UPDATE [Configuration]
   SET [Description_Text] = 'The name of the SMTP server responsible for dispatching emails from BuildMaster.'
 WHERE [Scope_Name] = 'CoreEx' AND [Key_Name] = 'MailServerName'

UPDATE [Configuration]
   SET [Description_Text] = 'Indicates whether BuildMaster will use a proxy server. This value may be set to true or false.'
 WHERE [Scope_Name] = 'CoreEx' AND [Key_Name] = 'Proxy_Enable'

UPDATE [Configuration]
   SET [Description_Text] = 'The name of the Windows BuildMaster service.'
 WHERE [Scope_Name] = 'CoreEx' AND [Key_Name] = 'ServiceName'

UPDATE [Configuration]
   SET [Description_Text] = 'Indicates whether the furthest-promoted or most-recently-created build is used for imported deployables. This value by be set to true or false.'
 WHERE [Scope_Name] = 'CoreEx' AND [Key_Name] = 'UseFurthestBuildForReferencedDeployable'

UPDATE [Configuration]
   SET [Description_Text] = 'The number of seconds between scans of BuildMaster agent statuses. An update scan only actually happens when the AgentStatusUpdateCountdown value reaches zero. This value may be set to -1 to disable agent update scanning.'
 WHERE [Scope_Name] = 'Service' AND [Key_Name] = 'AgentUpdaterThrottle'

UPDATE [Configuration]
   SET [Description_Text] = 'The number of seconds between checks for notifiers and triggers to run. This value may be set to -1 to disable notifiers and triggers.'
 WHERE [Scope_Name] = 'Service' AND [Key_Name] = 'EmailNotifierThrottle'

UPDATE [Configuration]
   SET [Description_Text] = 'The number of seconds between checks for plans to execute. This value may be set to -1 to disable plan execution.'
 WHERE [Scope_Name] = 'Service' AND [Key_Name] = 'PlanExecuterThrottle'

UPDATE [Configuration]
   SET [Description_Text] = 'The number of seconds between checks for scheduled or SCM-triggered builds to initiate. This value may be set to -1 to disable scheduled builds.'
 WHERE [Scope_Name] = 'Service' AND [Key_Name] = 'ScheduleExecuterThrottle'
 
UPDATE [Configuration]
   SET [Description_Text] = 'The forms authentication timeout period in minutes.'
 WHERE [Scope_Name] = 'Web' AND [Key_Name] = 'FormsAuthenticationTimeout'

UPDATE [Configuration]
   SET [Description_Text] = 'Indicates whether any user has ever logged into BuildMaster. This value may be set to true or false.'
 WHERE [Scope_Name] = 'Web' AND [Key_Name] = 'HasLoggedIn'

UPDATE [Configuration]
   SET [Description_Text] = 'Indicates whether integrated authentication should be used instead of LDAP. This value may be set to true or false.'
 WHERE [Scope_Name] = 'Web' AND [Key_Name] = 'IntegratedAuthenticationEnabled'

UPDATE [Configuration]
   SET [Description_Text] = 'Indicates whether live help is enabled in BuildMaster. This value may be set to true or false.'
 WHERE [Scope_Name] = 'Web' AND [Key_Name] = 'LiveHelpEnabled'

UPDATE [Configuration]
   SET [Description_Text] = 'Indicates whether approval "or groups" are enabled. This value may be set to true or false.'
 WHERE [Scope_Name] = 'Web' AND [Key_Name] = 'OrApprovalsEnabled'

UPDATE [Configuration]
   SET [Description_Text] = 'Indicates whether release numbers are strictly validated in the web application. This value may be set to true or false.'
 WHERE [Scope_Name] = 'Web' AND [Key_Name] = 'ReleaseNumberValidation'

UPDATE [Configuration]
   SET [Description_Text] = 'Indicates whether the execution details log links should be placed on the left (true) or the right (false). This value may be set to true or false.'
 WHERE [Scope_Name] = 'Web' AND [Key_Name] = 'SwapExecutionDetailsColumns'

UPDATE [Configuration]
   SET [Description_Text] = 'The custom errors behavior that is typically configured in web.config. This value may be set to "off" (detailed error messages are shown to remote clients and to the local host), "remoteOnly" (only the local host will see detailed error messages), or "on" (detailed error messages are shown to no one).'
 WHERE [Scope_Name] = 'Web' AND [Key_Name] = 'WebCustomErrorsMode'
