IF OBJECT_ID('[BuildTestResults_AllGroups]') IS NOT NULL DROP VIEW [BuildTestResults_AllGroups]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE VIEW [BuildTestResults_AllGroups] WITH SCHEMABINDING AS

SELECT BTR.[Group_Name],
       [Group_Count] = COUNT_BIG(*)
  FROM dbo.[BuildTestResults] BTR
 GROUP BY BTR.[Group_Name]

GO

CREATE UNIQUE CLUSTERED INDEX [IX__BuildTestResults_AllGroups]
	ON [BuildTestResults_AllGroups] ([Group_Name])

GO