EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'DatabaseChangeScripts_DeleteChangeScript',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Deletes a database change script.'
GO


IF OBJECT_ID('[DatabaseChangeScripts_DeleteChangeScript]') IS NOT NULL DROP PROCEDURE [DatabaseChangeScripts_DeleteChangeScript]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [DatabaseChangeScripts_DeleteChangeScript]
(
	@Script_Id INT
)
AS
BEGIN

SET NOCOUNT ON

DELETE [DatabaseChangeScripts]
 WHERE [Script_Id] = @Script_Id	

END
GO

GRANT EXECUTE ON [DatabaseChangeScripts_DeleteChangeScript] TO [BuildMasterUser_Role]